# Ansible Collection - enbewe.caddy

Collecion for a multi-site reverse proxy, based on caddy (https://caddyserver.com/).

## Playbooks
### enbewe.caddy.deploy
Deploys the role `enbewe.caddy.caddy` to the host group called `caddy`.

## Roles
### enbewe.caddy.caddy
Installs the caddy server in a podman container and configures the server to act 
as a reverse proxy to all configured sites.

#### Required variables
**caddy_networks** *(Type: list / elements=string)*
The list of podman networks the proxy should be part of.

**caddy_sites** *(Type: dict)
The sites that caddy should serve. 
Each site has to have a `name`, that is used as the host in caddy config.
Additionally, the site should have the key `proxy_to`, that points to the address of the proxied service,
or it should have the key `directives` that can be used to create a free-form config for the site.

#### Optional variables
**caddy_use_local_certs** *(Default: false)*
Enforce usage of local certificates, instead of the default Letsencrypt certs.
